package com.gh.common.provider

import com.gh.common.util.WechatBindHelper
import com.gh.gamecenter.core.provider.IWechatBindHelperProvider

@com.therouter.inject.ServiceProvider
class WechatHelperProviderImpl : IWechatBindHelperProvider {

    override fun getWechatConfig(callback: ((Any) -> Unit)?) {
        WechatBindHelper.getWechatConfig {
            callback?.invoke(it)
        }
    }

}